> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve available documents

> Use this endpoint to get all available documents for a specific period.



## OpenAPI

````yaml GET /custom/datev/available-documents
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /custom/datev/available-documents:
    get:
      tags:
        - Custom Endpoints
      summary: Retrieve available documents
      description: Use this endpoint to get all available documents for a specific period.
      operationId: GetCustomDatevAvailableDocuments
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: datev:HWUTwvyx2wLoSUHphiWVrp28
          required: true
        - name: period
          in: query
          required: true
          description: >-
            Provide the period in the format YYYY-MM-DD for which to check for
            available documents.
          schema:
            $ref: >-
              #/components/schemas/GetCustomDatevAvailableDocumentsParameterPeriod
      responses:
        '200':
          description: GET /custom/datev/available-documents Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCustomDatevAvailableDocumentsPositiveResponse
              examples:
                example1:
                  value:
                    status: success
                    data:
                      results:
                        - document_type: LOBN
                          available_for_employees:
                            - id: 8Xi6iZrwusZqJmDGXs49GBmJ
                              remote_id: '123456'
                          is_company_document: false
                        - document_type: LOJO
                          available_for_employees: []
                          is_company_document: true
                    warnings:
                      - message: This is an example warning!
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
components:
  schemas:
    GetCustomDatevAvailableDocumentsParameterPeriod:
      type: string
      description: >-
        Provide the period in the format YYYY-MM-DD for which to check for
        available documents.
    GetCustomDatevAvailableDocumentsPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            results:
              type: array
              items:
                type: object
                properties:
                  document_type:
                    type: string
                    description: The document's type.
                  available_for_employees:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type:
                            - string
                            - 'null'
                        remote_id:
                          type: string
                      required:
                        - id
                        - remote_id
                    description: List of employees this document is available for.
                  is_company_document:
                    type: boolean
                    description: Is true if the document is a company document.
                required:
                  - document_type
                  - available_for_employees
                  - is_company_document
          required:
            - results
          examples:
            - results:
                - document_type: LOBN
                  available_for_employees:
                    - id: 8Xi6iZrwusZqJmDGXs49GBmJ
                      remote_id: '123456'
                  is_company_document: false
                - document_type: LOJO
                  available_for_employees: []
                  is_company_document: true
        warnings:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: >-
            These are the interaction warnings that are shown in the dashboard.
            They are meant to provide debug information to you. We recommend
            logging them to the console.
      required:
        - status
        - data
        - warnings
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````